Create a control room
POST/v2/control-rooms
POST
/v2/control-rooms
const url = 'https://api.ligr.live/rest/v2/control-rooms';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"themeId":1,"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v2/control-rooms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "themeId": 1, "name": "example" }'Beta. This operation can change between minor versions. See Beta status.
The theme must belong to your organization and have an active published version. A new room starts without sections or presets.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
themeId
required
Entity identifier
integer format: int32
name
required
string
Examplegenerated
{ "themeId": 1, "name": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
Entity identifier
integer format: int32
themeId
required
Entity identifier
integer format: int32
name
required
string
sections
required
Array<object>
object
id
required
string
name
required
string
colorKey
string
Examplegenerated
{ "id": 1, "themeId": 1, "name": "example", "sections": [ { "id": "example", "name": "example", "colorKey": "example" } ]}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Theme, control room, section, or graphic not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}